@import "src/assets/styles/_for-react-components.scss";

$parent: "react-input";

@include block($parent) {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: inherit;
  padding: rem(12) rem(24) rem(12) 0;
  border: none;
  border-bottom: 1px solid var(--color-black-100);
  color: var(--color-black-100-80);
  text-transform: uppercase;
  transition: border-color 0.3s;
  border-radius: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

  &:hover {
    border-color: var(--color-black-100);
  }

  &::placeholder {
    color: var(--color-grey-500-50);
  }

  @include min-media('t') {
    padding: rem(16) rem(24) rem(16) 0;
  }

  @include modifier($parent, 'disabled') {
    pointer-events: none;
    border-color: var(--color-grey-200);

    &::placeholder {
      color: var(--color-black-300);
    }
  }
}
